Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SharedFormulaRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SharedValueRecordBase
                      org.apache.poi.hssf.record.SharedFormulaRecord

    public final class SharedFormulaRecord

extends SharedValueRecordBase

Title: SHAREDFMLA (0x04BC) SharedFormulaRecord Description: Primarily used as an excel optimization so that multiple similar formulas are not written out too many times. We should recognize this record and serialize as is since this is used when reading templates.

Note: the documentation says that the SID is BC where biffviewer reports 4BC. The hex dump shows that the two byte sid representation to be 'BC 04' that is consistent with the other high byte record types.

Author:
  Danny Mui at apache dot org

Field Summary
`static short` | `sid`

Constructor Summary
`SharedFormulaRecord()`
`SharedFormulaRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`static Ptg[]` | `convertSharedFormulas(Ptg[] ptgs, int formulaRow, int formulaColumn)` Creates a non shared formula from the shared formula counterpart Perhaps this functionality could be implemented in terms of the raw byte array inside `Formula`.
`Ptg[]` | `getFormulaTokens(FormulaRecord formula)`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isFormulaSame(SharedFormulaRecord other)`
`java.lang.String` | `toString()` print a sort of string representation ([SHARED FORMULA RECORD] id = x [/SHARED FORMULA RECORD])

Methods inherited from class org.apache.poi.hssf.record.SharedValueRecordBase
`getFirstColumn, getFirstRow, getLastColumn, getLastRow, getRange, isFirstCell, isInRange, serialize`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SharedFormulaRecord

    public SharedFormulaRecord()

### SharedFormulaRecord

    public SharedFormulaRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### toString

    public java.lang.String toString()

  print a sort of string representation ([SHARED FORMULA RECORD] id = x [/SHARED FORMULA RECORD])

  Overrides:
    `toString` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### convertSharedFormulas

    public static Ptg[] convertSharedFormulas(Ptg[] ptgs,
                                              int formulaRow,
                                              int formulaColumn)

  Creates a non shared formula from the shared formula counterpart
  Perhaps this functionality could be implemented in terms of the raw byte array inside `Formula`.

### getFormulaTokens

    public Ptg[] getFormulaTokens(FormulaRecord formula)

  Returns:
    the equivalent `Ptg` array that the formula would have, were it not shared.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### isFormulaSame

    public boolean isFormulaSame(SharedFormulaRecord other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD